Package com.independentsoft.office.spreadsheet

# Class Row

java.lang.Object
com.independentsoft.office.spreadsheet.Row

public class Row extends Object
The Class Row.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Row()`
  Instantiates a new row.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Row`
  `clone()`
  `Cell`
  `get​(int index)`
  Gets the.
  `List<Cell>`
  `getCells()`
  Gets the cells.
  `double`
  `getDescent()`
  Gets the vertical distance, in pixels, from the bottom of the cell content area to the baseline of the text (the `x14ac:dyDescent` attribute), or -1 if not set.
  `double`
  `getHeight()`
  Gets the height.
  `long`
  `getIndex()`
  Gets the index.
  `int`
  `getOutlineLevel()`
  Gets the outline level.
  `String`
  `getSpans()`
  Gets the spans.
  `long`
  `getStyleIndex()`
  Gets the style index.
  `boolean`
  `hasCustomFormat()`
  Checks for custom format.
  `boolean`
  `hasCustomHeight()`
  Checks for custom height.
  `boolean`
  `hasThickBottomBorder()`
  Checks for thick bottom border.
  `boolean`
  `hasThickTopBorder()`
  Checks for thick top border.
  `boolean`
  `isCollapsed()`
  Checks if is collapsed.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isShowPhonetic()`
  Checks if is show phonetic.
  `void`
  `set​(int index, Cell cell)`
  Sets the.
  `void`
  `setCollapsed​(boolean isCollapsed)`
  Sets the collapsed.
  `void`
  `setCustomFormat​(boolean hasCustomFormat)`
  Sets the custom format.
  `void`
  `setCustomHeight​(boolean hasCustomHeight)`
  Sets the custom height.
  `void`
  `setDescent​(double descent)`
  Sets the vertical distance, in pixels, from the bottom of the cell content area to the baseline of the text (the `x14ac:dyDescent` attribute).
  `void`
  `setHeight​(double height)`
  Sets the height.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setIndex​(long index)`
  Sets the index.
  `void`
  `setOutlineLevel​(int outlineLevel)`
  Sets the outline level.
  `void`
  `setShowPhonetic​(boolean showPhonetic)`
  Sets the show phonetic.
  `void`
  `setSpans​(String spans)`
  Sets the spans.
  `void`
  `setStyleIndex​(long styleIndex)`
  Sets the style index.
  `void`
  `setThickBottomBorder​(boolean hasThickBottomBorder)`
  Sets the thick bottom border.
  `void`
  `setThickTopBorder​(boolean hasThickTopBorder)`
  Sets the thick top border.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Row

    public Row()
    Instantiates a new row.

- ## Method Details

  - ### clone

    public Row clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### get

    public Cell get​(int index)
    Gets the.
    Parameters:
      `index` - the index
    Returns:
      the cell

  - ### set

    public void set​(int index, Cell cell)
    Sets the.
    Parameters:
      `index` - the index
      `cell` - the cell

  - ### getCells

    public List<Cell> getCells()
    Gets the cells.
    Returns:
      the cells

  - ### isCollapsed

    public boolean isCollapsed()
    Checks if is collapsed.
    Returns:
      true, if is collapsed

  - ### setCollapsed

    public void setCollapsed​(boolean isCollapsed)
    Sets the collapsed.
    Parameters:
      `isCollapsed` - the new collapsed

  - ### hasCustomFormat

    public boolean hasCustomFormat()
    Checks for custom format.
    Returns:
      true, if successful

  - ### setCustomFormat

    public void setCustomFormat​(boolean hasCustomFormat)
    Sets the custom format.
    Parameters:
      `hasCustomFormat` - the new custom format

  - ### hasCustomHeight

    public boolean hasCustomHeight()
    Checks for custom height.
    Returns:
      true, if successful

  - ### setCustomHeight

    public void setCustomHeight​(boolean hasCustomHeight)
    Sets the custom height.
    Parameters:
      `hasCustomHeight` - the new custom height

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden

  - ### getHeight

    public double getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(double height)
    Sets the height.
    Parameters:
      `height` - the new height

  - ### getDescent

    public double getDescent()
    Gets the vertical distance, in pixels, from the bottom of the cell content area to the baseline of the text (the `x14ac:dyDescent` attribute), or -1 if not set.
    Returns:
      the descent

  - ### setDescent

    public void setDescent​(double descent)
    Sets the vertical distance, in pixels, from the bottom of the cell content area to the baseline of the text (the `x14ac:dyDescent` attribute).
    Parameters:
      `descent` - the new descent

  - ### getOutlineLevel

    public int getOutlineLevel()
    Gets the outline level.
    Returns:
      the outline level

  - ### setOutlineLevel

    public void setOutlineLevel​(int outlineLevel)
    Sets the outline level.
    Parameters:
      `outlineLevel` - the new outline level

  - ### isShowPhonetic

    public boolean isShowPhonetic()
    Checks if is show phonetic.
    Returns:
      true, if is show phonetic

  - ### setShowPhonetic

    public void setShowPhonetic​(boolean showPhonetic)
    Sets the show phonetic.
    Parameters:
      `showPhonetic` - the new show phonetic

  - ### getIndex

    public long getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(long index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getStyleIndex

    public long getStyleIndex()
    Gets the style index.
    Returns:
      the style index

  - ### setStyleIndex

    public void setStyleIndex​(long styleIndex)
    Sets the style index.
    Parameters:
      `styleIndex` - the new style index

  - ### getSpans

    public String getSpans()
    Gets the spans.
    Returns:
      the spans

  - ### setSpans

    public void setSpans​(String spans)
    Sets the spans.
    Parameters:
      `spans` - the new spans

  - ### hasThickBottomBorder

    public boolean hasThickBottomBorder()
    Checks for thick bottom border.
    Returns:
      true, if successful

  - ### setThickBottomBorder

    public void setThickBottomBorder​(boolean hasThickBottomBorder)
    Sets the thick bottom border.
    Parameters:
      `hasThickBottomBorder` - the new thick bottom border

  - ### hasThickTopBorder

    public boolean hasThickTopBorder()
    Checks for thick top border.
    Returns:
      true, if successful

  - ### setThickTopBorder

    public void setThickTopBorder​(boolean hasThickTopBorder)
    Sets the thick top border.
    Parameters:
      `hasThickTopBorder` - the new thick top border